Status: Closed
Priority: Normal
Category:
Numbers:
Support Level: 2nd Level Topic: ADTF::Datexporter
Resolution: Solved Issue FAQ Links:
Description
Supportanfrage:

Lieber ADTF-Support,

ist es moglich, mit Hilfe des Dat-Exporter-Tools, EDS-Daten aus dat-Dateien zu extrahieren? Ich verwende ADTF 2.9.0 unter
Windows 7. ADTF 2.9.13 kénnte ich bei Bedarf auch installieren.

In der Doku habe ich nichts Genaues dazu gefunden. Anscheinend kann man nur Streams aus der dat-Datei extrahieren.

Ich hatte auch damit experimentiert, den Extended Data Service zu laden. Ich weil3 dann aber nicht, wie ich z.B. damit die im EDS
der Dat-Datei angehangten Dateien zumindest anzeigen lassen kann. Das Ziel wére, diese Dateien zu exportieren.

Ich weiB3, wie ich interaktiv aus der ADTF-GUI EDS-Dateien extrahieren kann. Ich wiirde aber einen skriptbaren Weg bevorzugen,
ohne gleich einen ADTF-Filter daflir programmieren zu missen. Kennen Sie evtl. einen Weg?

nfo 0x000D0000: CEx

Lésung:
Kommandozeilenaufruf:

<ADTF-DIR\bin>adtf_datexporter.exe

—-service <ADTF-DIR>\bin\adtf_extended_data.srv
—extensionsink adtf.export_ext.extended_data
—-property command=extract

—-property outputdir=<OUTPUT-DIR>
<PATH-TO-DAT>\EDS.dat

Damit werden die angehéngten Files im angegebenen Verzeichnis abgelegt.
Mit dem Kommando help erhalt man die méglichen Kommandos extract und list fir die adtf.export_ext.extended_data Extension
Sink, sowie weitere Infos zu den Properties.

Es ist nicht méglich EDS-Daten per Kommandozeile an eine bestehende DAT-File anzuhangen.
Das ist lediglich tGber die GUI méglich, allerdings erst ab ADTF 2.13.x
Ich wiirde bei einem Umstieg die 2.14 empfehlen, hier wurden dahingehend einige wichtige Bugfixes gemacht.

History

#1 - 2017-01-23 18:05 - hidden

- Project changed from Public Support to 5
- Description updated

- Status changed from New to Accepted

- Topic set to ADTF::Common

- Customer set to BOSCH

- Affected Products ADTF 2.9.0 added

- Platform Windows 7 64bit added

#2 - 2017-01-24 09:40 - hidden
- Topic changed from ADTF::Common to ADTF::Datexporter
- Department set to ESI

#3 - 2017-01-24 12:58 - hidden
- Status changed from Accepted to In Progress

- Support Level changed from 1st Level to 2nd Level

#4 - 2017-01-25 17:53 - hidden

- Status changed from In Progress to Customer Feedback Required

An den Anwender:

Hallo Marek,

der Kommandozeilenaufruf sieht wie folgt aus:
<ADTF-DIR\bin>adtf_datexporter.exe

—-service <ADTF-DIR>\bin\adtf_extended_data.srv
—extensionsink adtf.export_ext.extended_data
—-property command=extract

—property outputdir=<OUTPUT-DIR>
<PATH-TO-DAT>\EDS.dat

Damit werden die angehangten Files im angegebenen Verzeichnis abgelegt.

Hast du noch Fragen zum Thema?
Bitte gib uns ein kurzes Feedback, damit wir das Ticket schlieBen kénnen.

#5 - 2017-01-26 09:09 - hidden
Hallo Stephan,
danke fur die Info. Super! Genau das, was ich brauche. Funktioniert! :)

Gibt es noch mehr Kommandos auf3er 'extract', die ich mit dem extended data service verwenden kann? Kann ich per Kommandozeile EDS-Daten an
ein bestehendes DAT-File anhangen?

#6 - 2017-01-26 10:50 - hidden
- Resolution set to Solved Issue

- Support Level changed from 2nd Level to 3rd Level

An den Anwender:
Hallo Marek,

Gibt es noch mehr Kommandos auB3er 'extract’, die ich mit dem extended data service verwenden kann? Kann ich per Kommandozeile
EDS-Daten an ein bestehendes DAT-File anhangen?

nur das Kommando 'extract' kann in diesem Fall verwendet werden.
Leider ist es nicht mdglich per Kommandozeile EDS-Daten an ein bestehendes DAT-File anzuhangen.
Dies ist nur per Hand Uber die GUI méglich.

Damit sollte dieses Ticket abgeschlossen sein.
Bitte um kurzes Feedback, damit wir es schlieBen kénnen.

#7 - 2017-01-26 11:02 - hidden
- Resolution deleted (Solved Issue)

- Support Level changed from 3rd Level to 2nd Level
Nachtrag
Gibt es noch mehr Kommandos auB3er 'extract’, die ich mit dem extended data service verwenden kann?
Mit dem Kommando help erhalst du die méglichen Kommandos extract und list fir die adtf.export_ext.extended_data Extension Sink, sowie weitere
Infos zu den Properties.
Kann ich per Kommandozeile EDS-Daten an ein bestehendes DAT-File anhéngen?
Das ist lediglich Gber die GUI mdglich, allerdings erst ab ADTF 2.13.x
Ich wirde bei einem Umstieg die 2.14 empfehlen, hier wurden dahingehend einige wichtige Bugfixes gemacht.

Ist das Thema damit fur dich erledigt ?
Und wenn ja, kdnnen wir das Ticket allen Anwendern zugénglich machen oder im BOSCH geschutzten Bereich belassen.

#8 - 2017-01-26 12:50 - hidden

Klasse! Sehr nitzliche Info. Vielen Dank! Damit ist das Thema erledigt. Du kannst das Ticket gerne allen Anwendern zugénglich machen.

#9 - 2017-01-26 13:11 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to Solved Issue

@Florian, Ticket kann geschlossen werden.

#10 - 2017-01-26 14:37 - hidden
- Status changed from To Be Closed to Closed

#11 - 2017-01-27 09:20 - hidden

- Subject changed from Datexporter - auch Export von Dateien aus EDS mégich? to Export EDS extension with adltf_datexporter command line tool

#13 - 2017-02-21 16:22 - hidden
- Department changed from ESI to CC-DA/ESI

#14 - 2020-07-07 17:19 - hidden

- Description updated
